# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import time_string, time_stamp, reduced_keys
from zbot import kernel, Object

import logging

## do_find command

def do_find(event):
    resultset = []
    for obj in event.objects():
        go = True ; res = "" ; counter = 0
        for opt in event.opts:
            try:
                if event.opts[opt] not in str(obj[opt]): go = False 
            except KeyError: pass
        if not go: continue
        for arg in event.args:
            try: value = getattr(obj, arg) 
            except AttributeError: continue
            if not value: continue
            if obj not in resultset: resultset.append(obj)
    for o in sorted(resultset, key=lambda o: o.date): event.reply(o)

kernel.cmnds.register("find", do_find)
